createNetworkVulnerability
Create a Network Vulnerability
createNetworkVulnerability(
input: CreateNetworkVulnerabilityInput!
): CreateNetworkVulnerabilityPayload
Arguments
createNetworkVulnerability.input ● CreateNetworkVulnerabilityInput! non-null input
Parameters for CreateNetworkVulnerability
Type
CreateNetworkVulnerabilityPayload object
Autogenerated return type of CreateNetworkVulnerability.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the assets query first and use data.assets.collection[].id as assetId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateNetworkVulnerability($input: CreateNetworkVulnerabilityInput!) {\n createNetworkVulnerability(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","solution":"example","severity":"NOTIFICATION","summary":"example","impactDescription":"example","stepsToReproduce":"example","address":"example","protocol":"example","port":1,"attackVector":"example"}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateCreateNetworkVulnerability($input: CreateNetworkVulnerabilityInput!) {\n createNetworkVulnerability(input: $input) { clientMutationId issue { id title status } }\n}",
variables: {
"input": {
"assetId": 1,
"title": "example",
"description": "example",
"solution": "example",
"severity": "NOTIFICATION",
"summary": "example",
"impactDescription": "example",
"stepsToReproduce": "example",
"address": "example",
"protocol": "example",
"port": 1,
"attackVector": "example"
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateCreateNetworkVulnerability($input: CreateNetworkVulnerabilityInput!) {\n createNetworkVulnerability(input: $input) { clientMutationId issue { id title status } }\n}",
'variables': json.loads("{\"input\":{\"assetId\":1,\"title\":\"example\",\"description\":\"example\",\"solution\":\"example\",\"severity\":\"NOTIFICATION\",\"summary\":\"example\",\"impactDescription\":\"example\",\"stepsToReproduce\":\"example\",\"address\":\"example\",\"protocol\":\"example\",\"port\":1,\"attackVector\":\"example\"}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute